Bug 1252686 - Lack of graceful handling of 404 error from neutron
Lack of graceful handling of 404 error from neutron
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Radomir Dopieralski
nlevinki
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 01:48 EDT by Yurii Prokulevych
Modified: 2016-06-29 17:50 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
excerpt from central.log and nova-api.log (16.22 KB, text/plain)
2015-08-12 01:48 EDT, Yurii Prokulevych
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1488537 None None None Never
OpenStack gerrit 216746 None None None Never
OpenStack gerrit 242158 None None None Never

  None (edit)
Description Yurii Prokulevych 2015-08-12 01:48:06 EDT
Created attachment 1061799 [details]
excerpt from central.log and nova-api.log

Description of problem:
When ceilometer tries to poll 'ip.floating'(checking existance of floating ip) pollster on undercloud node it fails with message:
"""Continue after error from ip.floating: The server has either erred or is incapable of performing the requested operation. (HTTP 500) (Request-ID: req-c348593b-47e4-4ba6-b849-d3fdf070bc95)"""

nova-api.log has fails due to 404 error from the neutronclient.
Indeed L3 agent is not installed/configured on the undercloud node since it's not needed there.

It would be great to have graceful 404 error handling rather than reporting that 'server is either erred or incapable performing request'.

Version-Release number of selected component (if applicable):
openstack-nova-compute-2015.1.0-16.el7ost.noarch
openstack-nova-conductor-2015.1.0-16.el7ost.noarch
openstack-nova-api-2015.1.0-16.el7ost.noarch
python-novaclient-2.23.0-1.el7ost.noarch
openstack-nova-console-2015.1.0-16.el7ost.noarch
openstack-nova-novncproxy-2015.1.0-16.el7ost.noarch
openstack-nova-scheduler-2015.1.0-16.el7ost.noarch
openstack-nova-cert-2015.1.0-16.el7ost.noarch
python-nova-2015.1.0-16.el7ost.noarch
openstack-nova-common-2015.1.0-16.el7ost.noarch




Additional info:
Attaching excerpt from central.log(ceilometer) and nova-api.log
Comment 3 Radomir Dopieralski 2015-08-25 10:51:02 EDT
A bug created upstream: https://bugs.launchpad.net/nova/+bug/1488537
A patch submitted upstream: https://review.openstack.org/#/c/216746/
Comment 4 Radomir Dopieralski 2015-12-01 03:39:26 EST
While my patch was waiting for merging upstream, it has been fixed by a different patch: https://review.openstack.org/#/c/242158/4

Note You need to log in before you can comment on or make changes to this bug.